Форк (fork) Prestashop 1.6 (неофициальный Prestashop 1.6)

jedras

Создатель
Регистрация
17 Окт 2015
Сообщения
7
Реакции
4
ThirtyBees 1.1.0 последняя версия :)
Для просмотра ссылки Войди или Зарегистрируйся

Для просмотра ссылки Войди или Зарегистрируйся:
  • Core Updater is now the tool to update thirty bees core. A lot faster, a substantially more reliable update strategy. It can update all versions beginning with thirty bees 1.0.1. And it can downgrade / roll back just as easily in case a new release doesn't work for your shop.
  • Module tbupdater should be kept installed, it's needed for updating modules for the time being.
  • Big refactoring of error reporting and exception handling by @getdatakick. A new exception page and more important for merchants: reports no longer go into the rendered shop page, but get reported in the JavaScript console. PHP errors messing up shop pages are a thing of the past.
  • Another big audit of price rounding. Prices in the cart get now rounded properly according to the configured rounding strategy (by item / by line / by total). And invoices, credit slips, all now do as well.
  • This audit also brought a lot of detail improvements in displayed prices. For details, see Для просмотра ссылки Войди или Зарегистрируйся.
  • In multishop environments, one no longer sees duplicate entries for currencies.
  • Editing translations no longer requires to raise the max_vars PHP setting. Thanks to @ziyaindia.
  • When checking for module updates, not only the module name, but also the module author has to match. This should solve a class of issues with thirty party modules named like official modules. It also means that one can exclude a (edited) module from updates by simply changing the module author, e.g. from $this->author = 'thirty bees' to $this->author = 'thirty bees tweaked'.
  • Coupons/vouchers with taxes get now taken into account as well, thanks to @Zengraph.
  • With multishop, lists of customer groups now list only groups available in the currently selected shop context, thanks to @chitmann.
  • Also thank you to Emanuel Schiendorfer, David Gasperoni, Mark, Yaniv Mirel and Geo for their contributions. Much appreciated!
  • There is a new section in the statistics module: Stats by Groups. Written and contributed by @Zengraph.
  • Considerable chunks of theme installation were re-written. It should work now simpler and no longer mess with back office modules.
  • This added support for different image sizes in distinct themes. Developers would call this a per-theme namespace for image types.
  • Theme configuration XMLs in config/xml/themes/ disappeared. As they never got edited, they were always identical to config.xml in the theme folder.
  • This also removed config/xml/themes/default.xml, which was used for community-theme-default, so no more surprises when installing a shop and re-installing the default theme.
  • Initial theme settings in the installer were aligned with those of the actual default theme. Before, (re-)installing the default theme later had quite distinct results from what one had right after installation.
  • Theme metas (where one turns left and right columns on and off on particular pages) now allow to configure not only pages known by the theme, but all pages available.
  • CSV import now supports custom date formats in CSV data. This should allow e.g. U.S. merchants to import CSV data from a European manufacturer. Thanks to @ksimunovic!
  • A new, awesome looking default theme, Niara.
  • Previous theme is still there.
  • Now one can switch back and forth between both themes coming with thirty bees. Support for the "back" step with third party themes is forthcoming, one can still install them, of course.
  • Module beesblog is now a default module.
  • Two new modules, thememanager and tbhtmlblock. Already in use by theme Niara, they get disabled when installing theme community-theme-default.
  • Modules & Themes Catalog can now actually list modules and themes.
 
Последнее редактирование модератором:

byura

Хранитель порядка
Регистрация
29 Янв 2007
Сообщения
626
Реакции
707
thirty bees 1.1.0 – released July 25th, 2019
Для просмотра ссылки Войди или Зарегистрируйся
2019-07-30_101746.jpg
обновление через модуль -coreupdater
php 7.3.4 полет нормальный
пока тестирую
 
  • Нравится
Реакции: zen1

scspe

Мой дом здесь!
Регистрация
1 Фев 2015
Сообщения
287
Реакции
272
А я пока на морях с ноутбуком и плохим интернетом, стрёмно затевать обновление в таких условиях. Скажите, есть прирост по скорости? Решена ли проблема с микроразметкой?
 

leha128

Постоялец
Регистрация
1 Июн 2013
Сообщения
159
Реакции
118
Поставил для сравнения 30 пчел и престу 1.7.6 на один и тот же сервер, в одну и ту же папку для А/В тестов. Сравнил скорости после установки по умолчанию. Гугл для пчел показывает 27% скорость, а для 1.7.6. - 87-90%. Шаблоны по умолчанию. Пчелы на демо шаблоне на их сайте показывают 99%, может там чего включить надо после установки??? А то 27 и 99 - совсем разные показатели, не пойму в чем подвох. На этом же сервере пробовал ставить Navara для пчел. Выдало ошибку при установке. Так шаблон и не поставился. Попробовал залить его с гитхаба и установить, пишет не найден конфигурационный файл - поставить в итоге не получилось. Если просто его добавить в template в админке его не видно. Для Престы шаблоны Трансформер 4.3.6 и Панда 2.4.3 после установки показали 55% скорость. Сервер на хосте - почти VPS. PHP5.6.
Вопросы в связи с написаным:
1. Что сделать в Пчелах после установки, чтобы было 99%
2. Как поставить Niara? Или какая должна быть мин и макс конфигурация сервера и/или как поставить этот шаблон с гитхаба без файла конфигурации ?
3. Как ускорить Трансформер и Панду.
4. Может есть у кого последняя версия Трансформера 4.3.7 для тестов с 1.7.6, т.к. 4.3.6 не совместима с ней.
 
Последнее редактирование:

byura

Хранитель порядка
Регистрация
29 Янв 2007
Сообщения
626
Реакции
707
Вопросы в связи с написаным:
1. Что сделать в Пчелах после установки, чтобы было 99%
2. Как поставить Navara? Или какая должна быть мин и макс конфигурация сервера и/или как поставить этот шаблон с гитхаба без файла конфигурации ?
3. Как ускорить Трансформер и Панду.
4. Может есть у кого последняя версия Трансформера 4.3.7 для тестов с 1.7.6, т.к. 4.3.6 не совместима с ней.
качайте релиз не с форума где был пред-релиз, а релиз с репозитария github Для просмотра ссылки Войди или Зарегистрируйся
если вы имеете ввиду шаблон Niara то он в папке архива themes\niara рядом со стандартным
2019-08-07_011204.jpg
 

peelgrim

Постоялец
Регистрация
17 Июл 2013
Сообщения
49
Реакции
65
Добрый день!
Кто может подсказать, почему после обновления ядра thirtybees до 1.1.0 на одном проекте обновились все модули, а на другом -

Для ваших модулей доступны обновления!
И они не обновляются. Оба проекта на локальном сервере рядом лежат:nezn:
 

scspe

Мой дом здесь!
Регистрация
1 Фев 2015
Сообщения
287
Реакции
272
Да, есть такое, но очищайте кэш и обновите. Иногда помогает перезапуск апача. Это если забыли перед обновлением отключить кэширование модулей и страниц.
Но у меня другие модули не обновились автоматом. Не страшно.
 

peelgrim

Постоялец
Регистрация
17 Июл 2013
Сообщения
49
Реакции
65
Кеш отключен. Каталог кеша пуст... Попробовал перенести модули тупо скопировав каталоги из /modules и themes/.../modules из одного проекта в другой. Вроде получилось, но появились глюки с ошибкой 500 на страницах товара. Где-то валидация версий не сходится... :rules:
 

peelgrim

Постоялец
Регистрация
17 Июл 2013
Сообщения
49
Реакции
65
А нет... ошибка проявляется и без принудительного обновления модулей. И каждый раз в разных табах. Вот что во фронте выскакивает:
Confirmation
Tab : Attachments (500 Internal Server Error)
A server error occurred while loading the tabs: some tabs could not be loaded.
Please try again by refreshing the page.
If you are still encountering this problem, please check your server logs or contact your hosting provider for assistance.

Может это ошибка в смарти? Вот что Апач пишет логе ошибок:
[Tue Mar 31 10:00:32.117908 2020] [:error] [pid 5652:tid 2012] [client ::1:53400] PHP Warning: include(:( Failed opening 'C:\\xampp\\htdocs\\my-site.com\\cache\\smarty\\compile\\ef\\01\\bd\\ef01bd75c04cac599c94f68cb34eeb47f5d6b88e_0.file.page_header_toolbar.tpl.php' for inclusion (include_path='C:\\xampp\\htdocs\\my-site.com\\vendor/pear/archive_tar;C:\\xampp\\htdocs\\my-site.com\\vendor/pear/console_getopt;C:\\xampp\\htdocs\\my-site.com\\vendor/pear/pear-core-minimal/src;C:\\xampp\\htdocs\\my-site.com\\vendor/pear/pear_exception;C:\\xampp\\php\\PEAR') in C:\\xampp\\htdocs\\my-site.com\\vendor\\smarty\\smarty\\libs\\sysplugins\\smarty_template_compiled.php on line 137, referer: Для просмотра ссылки Войди или Зарегистрируйся

А вот фрагмент smarty_template_compiled.php:
134 if (defined('HHVM_VERSION')) {
135 eval("?>" . file_get_contents($this->filepath));
136 } else {
137 include($this->filepath);

Может где-то в настройках php.ini? Помогите кто сталкивался с подобной проблемой...:thenks:
 
Сверху